#ifndef SHOWMADANLABELFORM_H
#define SHOWMADANLABELFORM_H

#include <QWidget>
#include "handle/printer/baseboxprinter.h"
#include "handle/printer/boxtemlateone.h"
#include <pqQtlib/core/pqapppath.h>
#include <pqQtlib/utils/pqfileutils.h>
#include "QMessageBox"
#include "QDir"
#include "struct_/modelinfo.h"

namespace Ui {
class ShowMaDanLabelForm;
}

class ShowMaDanLabelForm : public QWidget
{
    Q_OBJECT

public:
    explicit ShowMaDanLabelForm(QWidget *parent = nullptr);
    ~ShowMaDanLabelForm();

signals:
    void back();

private slots:
    void on_backButton_clicked();

    void on_saveButton_clicked();

public slots:
    void init(QString baseModelName, int status ,QString modelName = nullptr);
    void addComboBox();
    void upData(QSharedPointer<PackModel> packModelData);
    void addPackData();

private slots:
    void controlHide();
    void controlShow();
    void showBaseModel();

    void on_upModel_clicked();

private:
    Ui::ShowMaDanLabelForm *ui;

    QSharedPointer<BasePackinfoPrinter> _packPrinter;

    QSharedPointer<PackModel> packModel;
//    QList<QSharedPointer<BoxModel>> boxModelList;

    PackInfoManger *pack;
    GlobalInfo * glo = GlobalInfo::this_();

private:
    QDir _dataDir;
    QString BaseModel;
    QString ModelName;

    int Status;
};

#endif // SHOWMADANLABELFORM_H
